Subject: Re: bug#40023: 26.3; Emacs crashes when creating process if many file handles are in use (e.g., when using ccls)

From: Robert Pluim <[email-masked]>
Date: Thu, 12 Mar 2020 08:27:30 +0100

>>>>> On Wed, 11 Mar 2020 16:45:45 +0000, Holger Pirk <[email-masked]> said:

    Holger> I think it is fine if this is an open problem but I would
    Holger> like more graceful failure. Isn’t it possible to catch
    Holger> this behavior and turn it into a lisp-level error?

Probably. Iʼm still curious as to what ccls is doing that results in
these file descriptors (or maybe itʼs not ccls' fault, but the
underlying OS).

Robert